import { Model } from "mongoose";
import { Payment, PaymentDocument } from "src/schemas/payment.schema";
export declare class PaymentService {
    private paymentModel;
    constructor(paymentModel: Model<PaymentDocument>);
    create(payment: Payment): Promise<Payment>;
    edit(paymentId: string, updatedPayment: Payment): Promise<Payment>;
    update(updatedPayment: any): Promise<void>;
    getById(paymentId: string): Promise<Payment>;
    getByStudentId(studentId: string): Promise<Payment[]>;
    getByCourseId(courseId: string): Promise<Payment[]>;
    getByCourseIdAndStudentId(courseId: string, studentId: string): Promise<Payment[]>;
    getByEnrollmentsId(enrollmentsId: string): Promise<Payment[]>;
    delete(paymentId: string): Promise<void>;
    deleteByEnrollmentId(enrollmentId: string): Promise<void>;
}
