import { Model } from 'mongoose';
import { Section, SectionDocument } from 'src/schemas/section.schema';
export declare class SectionService {
    private sectionModel;
    constructor(sectionModel: Model<SectionDocument>);
    create(sections: Section[]): Promise<Section[]>;
    edit(sectionId: string, updatedSection: Section): Promise<Section>;
    getAll(): Promise<Section[]>;
    getById(sectionId: string): Promise<Section>;
    getByCourseId(courseId: string): Promise<Section[]>;
    getSectionByStatus(isActive: boolean): Promise<Section[]>;
    getSectionByCourseIdAndStatus(courseId: string, isActive: boolean): Promise<Section[]>;
    delete(sectionId: string): Promise<void>;
    private checkSectionNameNotExists;
}
